## slurm-wlm 20.11.3

=== sdb_tests/extract_node_coordinates/Makefile ===
# Copyright (c) 2009-2011 Centro Svizzero di Calcolo Scientifico (CSCS)
# Licensed under the GPLv2.
all: check

include ../build.mk

check: $(TARGET)
ifneq ($(shell xtprocadmin 2>/dev/null),)
	diff -sy --suppress-common-lines <(./$< | sort -n) <(./get_coords_from_sdb.pl)
else
	./$<
endif

# For performance optimisation
time: $(TARGET)
	time ./$<

## slurm-wlm 20.02.6

=== debian/changelog ===
slurm-wlm (20.02.6-2) unstable; urgency=medium

  * Fix pmix support (Closes: #954272)
  * Fix srun autopkgtest
  * Tweak slurm.conf for autopkgtest
  * Add mpi autopkgtest
  * Bump standard version to 4.5.1 (no changes)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Wed, 02 Dec 2020 01:13:08 +0100

slurm-wlm (20.02.6-1) unstable; urgency=medium

  * New upstream release (Closes: #974721, #974722)
  * Refresh miscellanea-manpages and mail-path patches
  * Remove use-python3 patch included upstream
  * Remove smap command
  * Remove cray.conf.5 man page
  * Bump libslurm to soname 35
  * Update configurators
  * Fix the slurmdbd example file (Closes: #949734)
  * Remove llnl from the source package name and from the
    configuration, lib and log directory names
  * Remove PM Green patch: bug fixed upstream
  * Update d/copyright
  * Update libslurm35.symbols

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Tue, 17 Nov 2020 00:11:42 +0100

slurm-llnl (19.05.5-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add __attribute__((__common__)) to some "tentative import"
    declarations in src/plugins/select/cons_tres/job_test.c
  * Move definiton of "opt" from scanel.h to scanel.c

 -- Peter Michael Green <plugwash@debian.org>  Sat, 22 Aug 2020 22:59:50 +0000

slurm-llnl (19.05.5-2) unstable; urgency=medium

  * Declare libslurm-dev Breaks+Replaces relation with the old
    libslurmdb-dev package (Closes: #949249)
  * Bump standard version to 4.5.0 (no changes)
  * Move slurm-client-emulator, slurm-wlm and spank man pages to
    section 7

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Tue, 24 Mar 2020 10:58:42 +0100

slurm-llnl (19.05.5-1) unstable; urgency=medium

  * New upstream release

  [ Martijn Kruiten ]
  * Include slurmdb.h in libslurm-dev (Closes: #944606)
  * Remove conflicting docs from the slurmd and slurmctld packages
    (Closes: #942453)
  * Credit to Martijn for libpam-slurm-adopt in release 19.05.3.2-1.
    Sorry for not mentioning it before and thank you very much for your
    contribution!

  [ Gennaro Oliva ]
  * Remove useless libglade2 build dep (better later than never)
  * Remove libssh2 build dep
  * Remove crypto/openssl related stuff
  * Use python3 to generate html doc (Closes: #938499)
  * Update libslurm symbols file
  * Add support for pmix (Closes: #948008)

  [ Christian Ehrhardt ] 
  * Improve sacct test

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Thu, 16 Jan 2020 22:46:11 +0100

slurm-llnl (19.05.3.2-2) unstable; urgency=medium

  * Enable deprecated configure option on 32bit archs

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Tue, 15 Oct 2019 09:31:57 +0200

slurm-llnl (19.05.3.2-1) unstable; urgency=medium

  * New upstream release fixes CVE-2019-12838 (Closes: #931880)
  * Remove libslurmdb packages as it was merged into libslurm
  * Bump standard version to 4.4.1 (no changes)
  * Update d/copyright
  * Sync configurators with upstream
  * Refresh patches
  * Increase libslurm version to 34
  * Update libslurm symbols file

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Tue, 08 Oct 2019 18:18:52 +0200

slurm-llnl (18.08.6.2-1) unstable; urgency=medium

  * New upstream release 18.08.6.2
  * Update libslurm{,db} symbols file
  * Refresh remove-google-javascript patch
  * Update postinst scripts to move pid file under /run when
    /run/slurm-llnl is used (Closes: #885759)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Sun, 10 Mar 2019 01:42:38 +0100

slurm-llnl (18.08.5.2-1) unstable; urgency=medium

  * New upstream release fixes CVE-2019-6438 (Closes: #920997)
  * debian/patches/man-pages-typos: removed, applied upstream
  * Add Build-Depends-Package field to symbol files
  * Handling slurm user inside the plugin package as suggested by
    Karl Kornel (Closes: #850891)
  * Allow using a slurm user with a different UID if created before
    installation (Closes: #851103)
  * Move pid files under /run (Closes: #885759)
  * Change static libs strip options for standard version 4.3.0
  * Fix a typo in the perl code
  * Remove rc4 symlink creation in slurmdbd.postinst
  * Update service files to sync with upstream
  * Update init scripts with the new pid files
  * Remove init scripts symlinks for old SlurmdSpoolDir and StateSaveLocation
  * Sync configurators with upstream
  * Bump debhelper compat level to 11
  * Remove --without-blcr configure option not needed anymore
  * Add libfreeipmi-dev build dependency to enable freeipmi support
  * Remove old d/NEWS file

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Sun, 17 Feb 2019 13:32:52 +0100

slurm-llnl (18.08.3-1) unstable; urgency=medium

  * New upstream release
  * Update libslurm33.symbols

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Wed, 24 Oct 2018 23:51:22 +0200

slurm-llnl (18.08.2-1) unstable; urgency=medium

  * New upstream release
  * Fix sacct test script (Closes: #910886)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Tue, 23 Oct 2018 16:40:57 +0200

slurm-llnl (18.08.1-1) unstable; urgency=medium

  * New upstream release (Closes: #909653)
  * Update libslurm{,db} symbols file to soname 33
  * Modifiy the mail patch since /usr/bin/mail is now supported upstream
  * Refresh patches and remove parts included upstream
  * Update d/copyright
  * Update html configurators
  * Fix typos in the some man pages
  * Update simple configuration files
  * Remove unused cgroup release agent script

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Mon, 08 Oct 2018 01:23:32 +0200

slurm-llnl (17.11.9-1) unstable; urgency=medium

  * New upstream release
  * Bump standard version to 4.2.0
    Passing verbose options to commands in d/rules
  * Update libslurm32.symbols

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Fri, 10 Aug 2018 15:25:19 +0200

slurm-llnl (17.11.8-1) unstable; urgency=medium

  * New upstream release
  * Bump standard version to 4.1.5 (no changes)
  * Update html configurators
  * Update libslurm32 symbols file
  * Disable pdf and ttf compression to improve html doc usability


=== debian/control ===
Source: slurm-wlm
Section: admin
Priority: optional
Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
Uploaders: Rémi Palancher <remi@rezib.org>,
           Mehdi Dogguy <mehdi@debian.org>,
           Gennaro Oliva <oliva.g@na.icar.cnr.it>,
Build-Depends:
 debhelper (>= 11),
 libmunge-dev,
 libncurses5-dev,
 po-debconf,
 python3,
 libgtk2.0-dev,
 default-libmysqlclient-dev,
 libpam0g-dev,
 libperl-dev,
 chrpath,
 libpam0g-dev,
 liblua5.1-0-dev,
 libhwloc-dev,
 dh-exec,
 librrd-dev,
 libipmimonitoring-dev,
 hdf5-helpers,
 libfreeipmi-dev,
 libhdf5-dev,
 man2html,
 libcurl4-openssl-dev,
 libpmix-dev,
 liblz4-dev
Standards-Version: 4.5.1
Homepage: http://slurm.schedmd.com
Vcs-Browser: https://salsa.debian.org/hpc-team/slurm-wlm
Vcs-Git: https://salsa.debian.org/hpc-team/slurm-wlm.git

Package: slurm-wlm
Architecture: any
Depends:
 ${misc:Depends},
 slurmd (= ${binary:Version}),
 slurmctld (= ${binary:Version}),
 slurm-client (= ${binary:Version})
Description: Simple Linux Utility for Resource Management
 SLURM stands for Simple Linux Utility for Resource Management, it
 is an open-source cluster resource management and job scheduling system
 that strives to be simple, scalable, portable, fault-tolerant, and
 interconnect agnostic.
 This metapackage contains all client side commands, the compute node
 daemon and the central management demon.

Package: slurm-client
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 slurm-wlm-basic-plugins (= ${binary:Version}),
 munge,
 ucf
Conflicts: sinfo (<< 0.0.47-4)
Description: SLURM client side commands
 SLURM stands for Simple Linux Utility for Resource Management, it
 is an open-source cluster resource management and job scheduling system
 that strives to be simple, scalable, portable, fault-tolerant, and
 interconnect agnostic.
 This package contains all client side commands.

Package: slurmd
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 slurm-wlm-basic-plugins (= ${binary:Version}),
 ucf,
 munge,
 lsb-base (>= 3.2-12)
Description: SLURM compute node daemon
 SLURM stands for Simple Linux Utility for Resource Management, it
 is an open-source cluster resource management and job scheduling system
 that strives to be simple, scalable, portable, fault-tolerant, and
 interconnect agnostic.
 This package contains the compute node demon slurmd.

Package: slurmctld
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 slurm-client (= ${binary:Version}),
 slurm-wlm-basic-plugins (= ${binary:Version}),
 ucf,
 munge,
 lsb-base (>= 3.2-12)
Description: SLURM central management daemon
 SLURM stands for Simple Linux Utility for Resource Management, it
 is an open-source cluster resource management and job scheduling system
 that strives to be simple, scalable, portable, fault-tolerant, and
 interconnect agnostic.
 This package contains the central management demon slurmctld.

Package: libslurm35
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Runtime library files for SLURM
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains the SLURM runtime library.

Package: libpmi0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, slurm-wlm-basic-plugins (= ${binary:Version}),
Description: SLURM PMI library implementation
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains the SLURM PMI runtime implementation.

Package: libpmi2-0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SLURM PMI2 library implementation
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains the SLURM PMI2 runtime implementation.

Package: libslurm-dev
Section: libdevel
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libslurm35 (= ${binary:Version})
Conflicts: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev
Breaks: libslurmdb-dev
Replaces: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev, libslurmdb-dev
Description: SLURM development files
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains SLURM static library and header files.

Package: libpmi0-dev
Section: libdevel
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libpmi0 (= ${binary:Version}),
 libslurm35 (= ${binary:Version})
Description: SLURM PMI library implementation development files
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains the SLURM PMI implementation static library and header
 files

Package: libpmi2-0-dev
Section: libdevel
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libpmi2-0 (= ${binary:Version}),
 libslurm35 (= ${binary:Version})
Description: SLURM PMI2 library implementation development files
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains the SLURM PMI2 implementation static library and header
 files

Package: slurm-wlm-doc
Section: doc
Architecture: all
Depends:
 libjs-jquery,
 ${shlibs:Depends},
 ${misc:Depends}
Description: SLURM documentation
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains the SLURM html documentation.

Package: slurm-wlm-basic-plugins
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 adduser
Description: SLURM basic plugins
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains the SLURM basic plugins

Package: slurm-wlm-basic-plugins-dev
Section: devel
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 slurm-wlm-basic-plugins (= ${binary:Version})
Description: SLURM basic plugins development files
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains development files for the SLURM basic plugins

Package: sview
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 slurm-client (= ${binary:Version})
Description: GUI to view and modify SLURM state
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains sview a GUI that can be used to view SLURM
 configuration, job, step, node and partitions state information.
 Authorized users can also modify select information.

Package: slurmdbd
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 slurm-wlm-basic-plugins (= ${binary:Version}),
 munge,
 lsb-base (>= 3.2-12),
 ucf
Description: Secure enterprise-wide interface to a database for SLURM
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contain SlurmDBD (Slurm DataBase Daemon) that can be
 used to securely manage the accounting data for several Slurm
 clusters in a central location and sacctmgr a command for managing
 user accounts in SlurmDBD.

Package: libslurm-perl
Section: perl
Architecture: any
Depends:
 ${perl:Depends},
 ${misc:Depends},
 ${shlibs:Depends}
Description: Perl API for SLURM
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 .
 This package contains the Perl module.

Package: libslurmdb-perl
Section: perl
Architecture: any
Depends:
 ${perl:Depends},
 ${misc:Depends},
 ${shlibs:Depends}
Description: Perl API for the SLURM database
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 .
 This package contains the Perl module for the SLURM database.

Package: slurm-wlm-torque
Architecture: all
Depends:
 libslurm-perl (>= ${source:Version}),
 libslurmdb-perl (>= ${source:Version}),
 ${perl:Depends},
 ${misc:Depends},
 libswitch-perl,
 slurm-client (>= ${source:Version})
Conflicts: gridengine-client, torque-client, torque-client-x11
Description: Torque compatibility wrappers for SLURM
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 .
 This package contains the Torque compatibility wrappers.

Package: libpam-slurm
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: PAM module to authenticate using the SLURM resource manager
 Pluggable Authentication Module (PAM) for restricting access to compute
 nodes where SLURM performs resource management. Access to the node is
 restricted to user root and users who have been allocated resources on
 that node.

Package: libpam-slurm-adopt
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: PAM module to authenticate users running a SLURM job and track their processes
 Pluggable Authentication Module (PAM) for restricting access to compute
 nodes where SLURM performs resource management to users who have a
 running job. The user's connection is "adopted" into the "external"
 step of the job so that processes spawned are tracked and SLURM can
 perform a complete cleanup when the job is completed.

Package: slurm-wlm-emulator
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
 slurmctld (= ${binary:Version}),
 slurmd (= ${binary:Version})
Description: SLURM emulator
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 .
 This package installs the emulator binaries: slurmd, slurmctld
 and slurmstepd.

Package: slurm-client-emulator
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
Description: SLURM client side commands for the emulator
 SLURM stands for Simple Linux Utility for Resource Management, it
 is an open-source cluster resource management and job scheduling system
 that strives to be simple, scalable, portable, fault-tolerant, and
 interconnect agnostic.
 This package contains all client side commands for the emulator.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PERL_ARCHLIB := $(shell perl -MConfig -e 'print substr($$Config{vendorarch}, 1)')
export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-bindnow
# include defs of all DEB_HOST_*/DEB_BUILD_* vars
include /usr/share/dpkg/architecture.mk

ifneq ($(DEB_TARGET_ARCH_BITS),64)
  ENABLEDEPRECATED = --enable-deprecated
endif

%:
	dh $@ --builddirectory

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean --builddirectory build-emulator
	rm -rvf $(CURDIR)/debian/tmp-emulator

# We run configure with --disable-debug to avoid the default use of -O0 and
# consequent unprotected source functions, causing lintian report
# hardening-no-fortify-functions
# Notice that -g in CFLAGS is still provided by dpkg-buildflags
override_dh_auto_configure:
	dh_auto_configure -- --sysconfdir=/etc/slurm --with-munge --enable-pam --without-rpath --disable-debug --enable-multiple-slurmd --with-pmix=/usr/lib/$(DEB_HOST_MULTIARCH)/pmix2 $(ENABLEDEPRECATED)
	dh_auto_configure --builddirectory build-emulator -- -sysconfdir=/etc/slurm --with-munge --enable-pam --without-rpath --disable-debug --enable-front-end --enable-multiple-slurmd --with-pmix=/usr/lib/$(DEB_HOST_MULTIARCH)/pmix2 $(ENABLEDEPRECATED)
override_dh_auto_build:
	dh_auto_build
	dh_auto_build --builddirectory build-emulator

override_dh_shlibdeps:
	dh_shlibdeps -O--builddirectory -O--parallel -l$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/slurm-wlm/

override_dh_auto_install:
	dh_auto_install
	
	# Rename slurm(1) manpage before dh_installman run. It is not possible
	# to rename manpages in debian/*.manpages so hardcore `mv` is done here
	mv -v debian/tmp/usr/share/man/man7/slurm.7 debian/tmp/usr/share/man/man7/slurm-wlm.7
	
	# run make install for libpam-slurm pkg
	$(MAKE) -C obj-$(DEB_BUILD_GNU_TYPE)/contribs/pam install DESTDIR=$(CURDIR)/debian/tmp
	
	# run make install for libpam-slurm-adopt pkg
	$(MAKE) -C obj-$(DEB_BUILD_GNU_TYPE)/contribs/pam_slurm_adopt install DESTDIR=$(CURDIR)/debian/tmp
	
	# run make install for libslurm[db]-perl pkgs
	$(MAKE) -C obj-$(DEB_BUILD_GNU_TYPE)/contribs/perlapi install DESTDIR=$(CURDIR)/debian/tmp PERL_MM_OPT="INSTALLDIRS=vendor"
	find debian/tmp/$(PERL_ARCHLIB) -type f -name "*.so" | xargs chrpath -d
	
	# run make install for slurm-wlm-torque pkg
	$(MAKE) -C obj-$(DEB_BUILD_GNU_TYPE)/contribs/torque install DESTDIR=$(CURDIR)/debian/tmp

	# run make install for PMI pkg
	$(MAKE) -C obj-$(DEB_BUILD_GNU_TYPE)/contribs/pmi install DESTDIR=$(CURDIR)/debian/tmp

	# run make install for PMI2 pkg
	$(MAKE) -C obj-$(DEB_BUILD_GNU_TYPE)/contribs/pmi2 install DESTDIR=$(CURDIR)/debian/tmp

	# clear dependency_libs field in *.la files
	# see lintian non-empty-dependency_libs-in-la-file for reference
	sed -i "/dependency_libs/ s/'.*'/''/" `find debian/tmp/ -name '*.la'`

	# Rename mpiexec to mpiexec.slurm
	mv -v debian/tmp/usr/bin/mpiexec	debian/tmp/usr/bin/mpiexec.slurm

	# build manpages for pbs wrappers
	for i in debian/tmp/usr/bin/pbsnodes \
		debian/tmp/usr/bin/mpiexec.slurm \
		debian/tmp/usr/bin/q*; do \
			pod2man -v $$i > debian/tmp/usr/share/man/man1/$$(basename $$i).1; \
	done

	# Remove embedded jquery.min.js
	rm -fv debian/tmp/usr/share/doc/slurm-wlm/html/jquery.min.js

	# Rename the header files directory to slurm
	mv -v debian/tmp/usr/include/slurm-wlm debian/tmp/usr/include/slurm

	# Rename binaries that are also in the slurm-wlm-emulator
	mv -v debian/tmp/usr/sbin/slurmctld debian/tmp/usr/sbin/slurmctld-wlm
	mv -v debian/tmp/usr/sbin/slurmd debian/tmp/usr/sbin/slurmd-wlm
	mv -v debian/tmp/usr/sbin/slurmstepd debian/tmp/usr/sbin/slurmstepd-wlm

	dh_auto_install --builddirectory build-emulator  --destdir=$(CURDIR)/debian/tmp-emulator
	# Rename binaries in the emulator packages
	mv -v debian/tmp-emulator/usr/sbin/slurmctld debian/tmp-emulator/usr/sbin/slurmctld-wlm-emulator
	mv -v debian/tmp-emulator/usr/sbin/slurmd debian/tmp-emulator/usr/sbin/slurmd-wlm-emulator
	mv -v debian/tmp-emulator/usr/sbin/slurmstepd debian/tmp-emulator/usr/sbin/slurmstepd-wlm-emulator
	mv -v debian/tmp-emulator/usr/bin/sshare	debian/tmp-emulator/usr/bin/sshare-emulator
	mv -v debian/tmp-emulator/usr/bin/scancel 	debian/tmp-emulator/usr/bin/scancel-emulator
	mv -v debian/tmp-emulator/usr/bin/sattach 	debian/tmp-emulator/usr/bin/sattach-emulator
	mv -v debian/tmp-emulator/usr/bin/sbatch 	debian/tmp-emulator/usr/bin/sbatch-emulator
	mv -v debian/tmp-emulator/usr/bin/sreport 	debian/tmp-emulator/usr/bin/sreport-emulator
	mv -v debian/tmp-emulator/usr/bin/sbcast 	debian/tmp-emulator/usr/bin/sbcast-emulator
	mv -v debian/tmp-emulator/usr/bin/srun 	debian/tmp-emulator/usr/bin/srun-emulator
	mv -v debian/tmp-emulator/usr/bin/squeue 	debian/tmp-emulator/usr/bin/squeue-emulator
	mv -v debian/tmp-emulator/usr/bin/sprio 	debian/tmp-emulator/usr/bin/sprio-emulator
	mv -v debian/tmp-emulator/usr/bin/sdiag 	debian/tmp-emulator/usr/bin/sdiag-emulator
	mv -v debian/tmp-emulator/usr/bin/strigger debian/tmp-emulator/usr/bin/strigger-emulator
	mv -v debian/tmp-emulator/usr/bin/sinfo 	debian/tmp-emulator/usr/bin/sinfo-emulator
	mv -v debian/tmp-emulator/usr/bin/salloc 	debian/tmp-emulator/usr/bin/salloc-emulator
	mv -v debian/tmp-emulator/usr/bin/sacct	debian/tmp-emulator/usr/bin/sacct-emulator
	mv -v debian/tmp-emulator/usr/bin/sacctmgr debian/tmp-emulator/usr/bin/sacctmgr-emulator
	mv -v debian/tmp-emulator/usr/bin/scontrol debian/tmp-emulator/usr/bin/scontrol-emulator
	mv -v debian/tmp-emulator/usr/bin/sstat	debian/tmp-emulator/usr/bin/sstat-emulator

override_dh_strip:
	dh_strip -plibslurm35
	dh_strip -plibpmi0 --dbgsym-migration='libpmi0-dbg (<< 17.02.6~)'
	dh_strip -plibpmi2-0 --dbgsym-migration='libpmi2-0-dbg (<< 17.02.6~)'
	dh_strip -pslurm-wlm-basic-plugins --dbgsym-migration='slurm-wlm-basic-plugins-dbg (<< 17.02.6~)'
	dh_strip -pslurm-client --dbgsym-migration='slurm-client-dbg (<< 17.02.6~)'
	dh_strip -pslurmd --dbgsym-migration='slurmd-dbg (<< 17.02.6~)'
	dh_strip -pslurmctld --dbgsym-migration='slurmctld-dbg (<< 17.02.6~)'
	dh_strip -pslurmdbd --dbgsym-migration='slurmdbd-dbg (<< 17.02.6~)'
	# we do not care about debug symbols for those pkgs
	dh_strip -plibslurmdb-perl --no-automatic-dbgsym
	dh_strip -plibslurm-perl --no-automatic-dbgsym
	dh_strip -psview --no-automatic-dbgsym
	dh_strip -plibpam-slurm --no-automatic-dbgsym
	dh_strip -plibpam-slurm-adopt --no-automatic-dbgsym
	dh_strip -pslurm-wlm-emulator --no-automatic-dbgsym
	dh_strip -pslurm-client-emulator --no-automatic-dbgsym
	dh_strip -plibpmi0-dev --no-automatic-dbgsym
	dh_strip -plibpmi2-0-dev --no-automatic-dbgsym
	dh_strip -plibslurm-dev --no-automatic-dbgsym
	dh_strip -pslurm-wlm-basic-plugins-dev --no-automatic-dbgsym
	strip --verbose --strip-unneeded --remove-section=.comment \
		--remove-section=.note debian/slurm-wlm-basic-plugins-dev/usr/lib/*/slurm-wlm/*.a

override_dh_auto_test:

override_dh_compress:
	dh_compress -X.pdf -X.ttf

## slurm-wlm 20.11.3

=== debian/changelog ===
slurm-wlm (20.11.3-2) unstable; urgency=medium

  * Source only upload for migration to testing
  * Modify slurmrestd EnvironmentFile location

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Wed, 27 Jan 2021 15:30:27 +0100

slurm-wlm (20.11.3-1) unstable; urgency=medium

  * New upstream release
  * Remove typos patches
  * Refresh patches
  * Bump libslurm to soname 36
  * Remove unused overrides
  * Update d/copyright
  * Fix typos
  * Add patch to compile against pmix v4
  * Fix sacct test failure
  * Add slurmrestd package
  * Update configurators
  * Fix packages descriptions

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Sun, 24 Jan 2021 18:29:47 +0100

=== debian/rules ===
--- 
+++ 
@@ -110,7 +110,7 @@
 	mv -v debian/tmp-emulator/usr/bin/sstat	debian/tmp-emulator/usr/bin/sstat-emulator
 
 override_dh_strip:
-	dh_strip -plibslurm35
+	dh_strip -plibslurm36
 	dh_strip -plibpmi0 --dbgsym-migration='libpmi0-dbg (<< 17.02.6~)'
 	dh_strip -plibpmi2-0 --dbgsym-migration='libpmi2-0-dbg (<< 17.02.6~)'
 	dh_strip -pslurm-wlm-basic-plugins --dbgsym-migration='slurm-wlm-basic-plugins-dbg (<< 17.02.6~)'
@@ -130,6 +130,7 @@
 	dh_strip -plibpmi2-0-dev --no-automatic-dbgsym
 	dh_strip -plibslurm-dev --no-automatic-dbgsym
 	dh_strip -pslurm-wlm-basic-plugins-dev --no-automatic-dbgsym
+	dh_strip -pslurmrestd --no-automatic-dbgsym
 	strip --verbose --strip-unneeded --remove-section=.comment \
 		--remove-section=.note debian/slurm-wlm-basic-plugins-dev/usr/lib/*/slurm-wlm/*.a

## slurm-wlm 20.11.4

=== debian/changelog ===
slurm-wlm (20.11.4-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Fri, 19 Feb 2021 11:13:22 +0100

slurm-wlm (20.11.3-3) unstable; urgency=medium

  * Pass SUCMD and SLEEP_CMD to configure (Closes: #977319)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Wed, 17 Feb 2021 21:24:19 +0100

## slurm-wlm 20.11.5

=== debian/changelog ===
slurm-wlm (20.11.5-1) unstable; urgency=medium

  * New upstream release
  * Update libslurm36 symbols file
  * Refresh mail-path patch
  * Add more calls to sleep trying to fix #985725

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Mon, 05 Apr 2021 01:18:48 +0200

## slurm-wlm 20.11.7

=== debian/changelog ===
slurm-wlm (20.11.7-1) unstable; urgency=medium

  * New upstream release fixes CVE-2021-31215 (Closes: #988439)
  * Add typo patch for acct_gather.conf man page
  * Update miscellanea manpage patch

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Tue, 15 Jun 2021 17:49:41 +0200

## slurm-wlm 20.11.7%2Breally20.11.4

=== debian/control ===
--- 
+++ 
@@ -28,6 +28,10 @@
  man2html,
  libcurl4-openssl-dev,
  libpmix-dev,
+ libhttp-parser-dev,
+ libyaml-dev,
+ libjson-c-dev,
+ libjwt-dev,
  liblz4-dev
 Standards-Version: 4.5.1
 Homepage: http://slurm.schedmd.com
@@ -47,7 +51,7 @@
  that strives to be simple, scalable, portable, fault-tolerant, and
  interconnect agnostic.
  This metapackage contains all client side commands, the compute node
- daemon and the central management demon.
+ daemon and the central management daemon.
 
 Package: slurm-client
 Architecture: any
@@ -65,6 +69,18 @@
  interconnect agnostic.
  This package contains all client side commands.
 
+Package: slurmrestd
+Architecture: any
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+Description: SLURM REST API daemon
+ SLURM stands for Simple Linux Utility for Resource Management, it
+ is an open-source cluster resource management and job scheduling system
+ that strives to be simple, scalable, portable, fault-tolerant, and
+ interconnect agnostic.
+ This package contains the REST API daemon slurmrestd.
+
 Package: slurmd
 Architecture: any
 Depends:
@@ -79,7 +95,7 @@
  is an open-source cluster resource management and job scheduling system
  that strives to be simple, scalable, portable, fault-tolerant, and
  interconnect agnostic.
- This package contains the compute node demon slurmd.
+ This package contains the compute node daemon slurmd.
 
 Package: slurmctld
 Architecture: any
@@ -96,9 +112,9 @@
  is an open-source cluster resource management and job scheduling system
  that strives to be simple, scalable, portable, fault-tolerant, and
  interconnect agnostic.
- This package contains the central management demon slurmctld.
-
-Package: libslurm35
+ This package contains the central management daemon slurmctld.
+
+Package: libslurm36
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -134,7 +150,7 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- libslurm35 (= ${binary:Version})
+ libslurm36 (= ${binary:Version})
 Conflicts: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev
 Breaks: libslurmdb-dev
 Replaces: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev, libslurmdb-dev
@@ -150,7 +166,7 @@
  ${shlibs:Depends},
  ${misc:Depends},
  libpmi0 (= ${binary:Version}),
- libslurm35 (= ${binary:Version})
+ libslurm36 (= ${binary:Version})
 Description: SLURM PMI library implementation development files
  SLURM, the Simple Linux Utility for Resource Management,
  is an open-source cluster resource management and job scheduling.
@@ -164,7 +180,7 @@
  ${shlibs:Depends},
  ${misc:Depends},
  libpmi2-0 (= ${binary:Version}),
- libslurm35 (= ${binary:Version})
+ libslurm36 (= ${binary:Version})
 Description: SLURM PMI2 library implementation development files
  SLURM, the Simple Linux Utility for Resource Management,
  is an open-source cluster resource management and job scheduling.

## slurm-wlm 20.11.7+really20.11.4

=== alps_tests/cancel_reservation/Makefile ===
# Copyright (c) 2009-2011 Centro Svizzero di Calcolo Scientifico (CSCS)
# Licensed under the GPLv2.
# NAMES
TARGET = apmgr-cancel
MAIN   = main.c
SRCS   = $(filter-out $(MAIN),$(wildcard *.c))
OBJS   = $(SRCS:.c=.o)

# PROGRAMS
CC = gcc
RM = rm -vf

# PATHS
INCDIR = ../../include
LIBDIR = ../../libalps

# FLAGS
CFLAGS = -I$(INCDIR) -Wall -Werror #-pedantic
ALPSLIB= $(LIBDIR)/libalps.a
LDLIBS = -lexpat

# suffix rules
%.o : %.c $(INCDIR)/basil_alps.h
	$(CC) $(CFLAGS) -c $< -o $@

all: $(TARGET)

$(TARGET): $(MAIN) $(OBJS) $(ALPSLIB)
	$(CC) $(CFLAGS) $^ $(LDLIBS) -o $@
	
$(ALPSLIB): $(wildcard $(LIBDIR)/*.c)
	$(MAKE) -C $(dir $(ALPSLIB))

.PHONY: clean all

tags: $(wildcard *.c $(LIBDIR)/*.c $(INCDIR)/*.h)
	ctags $^ > $@

clean:
	@$(RM) *.o *~ ? core a.out tags *.orig *.rej
	@$(RM) $(TARGET)

distclean: clean

=== alps_tests/node_attributes/Makefile ===
# Copyright (c) 2009-2011 Centro Svizzero di Calcolo Scientifico (CSCS)
# Licensed under the GPLv2.
# NAMES
TARGETS = node_attributes numa_node_attributes

# PROGRAMS
CC    = gcc
SHELL = /bin/bash	# for '<()' process substitution
XTPROCADMIN      := $(shell which xtprocadmin 2>/dev/null)
DOWN_NODES       := $(shell xtprocadmin | sed -n 's/^ *\([0-9]\+\).*down .*$$/\1/p' |tr '\n' '|')
APSTAT_NODE_ORDER = apstat -no  | sed -n '1d;/^Compute/,$$d;s/^ *\([0-9]\+\) .*$$/\1/p'

# PATHS
INCDIR = ../../include
LIBDIR = ../../libalps

# FLAGS
CFLAGS = -I$(INCDIR) -Wall -Werror #-pedantic
ALPSLIB= $(LIBDIR)/libalps.a
LDLIBS = -lexpat

# RULES
.PHONY: clean check check_xtprocadmin check_node_ordering

all: check $(TARGETS)

# when apbasil is available, compare the outputs directly
ifneq ($(XTPROCADMIN),)
check: check_xtprocadmin check_node_ordering
else
check: node_attributes
	@./$<
endif

check_xtprocadmin: node_attributes
	diff -sy --suppress-common-lines				\
		<(xtprocadmin -a cores,clockmhz,mem | grep -vw service) \
		<(./$< | sort -n)

check_node_ordering: node_attributes
	diff -ys --suppress-common-lines				\
		<($(APSTAT_NODE_ORDER))					\
		<(./$<|sed -n '1d;s/^ *\([0-9]\+\) .*$$/\1/p'|egrep -vx "($(DOWN_NODES))")

# cancel built-in rule first
% : %.c
% : %.c $(ALPSLIB)
	$(CC) $(CFLAGS) $^ $(LDLIBS) -o $@

$(ALPSLIB): $(wildcard $(LIBDIR)/*.c)
	$(MAKE) -C $(dir $(ALPSLIB))

tags: $(wildcard *.c $(LIBDIR)/*.c $(INCDIR)/*.h)
	ctags $^ > $@

clean:
	@$(RM) *.o *~ ? core a.out tags *.orig *.rej
	@$(RM) $(TARGETS)

distclean: clean

=== debian/changelog ===
slurm-wlm (20.11.7+really20.11.4-2+deb11u1) bullseye-security; urgency=medium

  * Fix CVE-2022-29500 and CVE-2022-29501
    (Closes: #1010634, #1010633)
  * Update libslurm symbols file

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Fri, 06 May 2022 21:14:09 +0200

slurm-wlm (20.11.7+really20.11.4-2) unstable; urgency=medium

  * Fix CVE-2021-31215 (Closes: #988439)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Thu, 15 Jul 2021 00:00:35 +0200

=== debian/rules ===
--- 
+++ 
@@ -26,8 +26,8 @@
 # hardening-no-fortify-functions
 # Notice that -g in CFLAGS is still provided by dpkg-buildflags
 override_dh_auto_configure:
-	dh_auto_configure -- --sysconfdir=/etc/slurm --with-munge --enable-pam --without-rpath --disable-debug --enable-multiple-slurmd --with-pmix=/usr/lib/$(DEB_HOST_MULTIARCH)/pmix2 $(ENABLEDEPRECATED)
-	dh_auto_configure --builddirectory build-emulator -- -sysconfdir=/etc/slurm --with-munge --enable-pam --without-rpath --disable-debug --enable-front-end --enable-multiple-slurmd --with-pmix=/usr/lib/$(DEB_HOST_MULTIARCH)/pmix2 $(ENABLEDEPRECATED)
+	dh_auto_configure -- --sysconfdir=/etc/slurm --with-munge --enable-pam --without-rpath --disable-debug --enable-multiple-slurmd --with-pmix=/usr/lib/$(DEB_HOST_MULTIARCH)/pmix2 $(ENABLEDEPRECATED) SUCMD=/bin/su SLEEP_CMD=/bin/sleep
+	dh_auto_configure --builddirectory build-emulator -- -sysconfdir=/etc/slurm --with-munge --enable-pam --without-rpath --disable-debug --enable-front-end --enable-multiple-slurmd --with-pmix=/usr/lib/$(DEB_HOST_MULTIARCH)/pmix2 $(ENABLEDEPRECATED) SUCMD=/bin/su SLEEP_CMD=/bin/sleep
 override_dh_auto_build:
 	dh_auto_build
 	dh_auto_build --builddirectory build-emulator

## slurm-wlm 20.11.8

=== debian/changelog ===
slurm-wlm (20.11.8-1) unstable; urgency=medium

  * New upstream release

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Mon, 23 Aug 2021 15:53:23 +0200

## slurm-wlm 21.08.5

=== sdb_tests/Makefile ===
# Copyright (c) 2009-2011 Centro Svizzero di Calcolo Scientifico (CSCS)
# Licensed under the GPLv2.
RM = rm -f

SUBDIRS = ../libalps ../libsdb
#SUBDIRS +=  client_version
SUBDIRS +=  coordinate2nid	\
	    data_by_coordinates	\
	    determine_topology	\
 	    extract_node_coordinates \
	    nid2coordinate	\
	    number_of_compute-node_cores \
	    xtprocadmin tuxadmin

help:
	@echo >&2 "usage: $(MAKE) all|clean"

clean all:
	@for dir in $(SUBDIRS); do $(MAKE) -C $$dir $@||exit 1; done
	@$(RM) $(TARBALL)

=== alps_tests/sched_inventory/Makefile ===
# Copyright (c) 2009-2011 Centro Svizzero di Calcolo Scientifico (CSCS)
# Licensed under the GPLv2.
MAIN   = sched_inventory.c
TARGET = $(MAIN:.c=)

# PROGRAMS
CC = gcc
RM = rm -vf

# PATHS
INCDIR = ../../include
LIBDIR = ../../libalps

# FLAGS
CFLAGS = -I$(INCDIR) -Wall -Werror #-pedantic
ALPSLIB= $(LIBDIR)/libalps.a
LDLIBS = -lexpat

# suffix rules
% : %.c $(ALPSLIB)
	$(CC) $(CFLAGS) $^ $(LDLIBS) -o $@
	
all: $(TARGET)
	time ./$<

$(ALPSLIB): $(wildcard $(LIBDIR)/*.c)
	$(MAKE) -C $(@D)

.PHONY: clean all

tags: $(wildcard *.c $(LIBDIR)/*.c $(INCDIR)/*.h)
	ctags $^ > $@

clean:
	@$(RM) *.o *~ ? core a.out tags *.orig *.rej
	@$(RM) $(TARGET)

distclean: clean

=== sdb_tests/coordinate2nid/Makefile ===
# Copyright (c) 2009-2011 Centro Svizzero di Calcolo Scientifico (CSCS)
# Licensed under the GPLv2.
all: check

include ../build.mk

check: $(TARGET)
	./$< 000 010 111 222 333

=== debian/changelog ===
slurm-wlm (21.08.5-2ubuntu1) jammy; urgency=medium

  * Increase time-out in debian/tests/sbatch (LP: #1961602)
    On armhf the submitted batch job is typically executed within 5 seconds
    but not always leading to spurious autopkgtest failures.

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Mon, 21 Feb 2022 16:01:43 +0100

slurm-wlm (21.08.5-2build1) jammy; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Feb 2022 07:51:51 +0100

slurm-wlm (21.08.5-2) unstable; urgency=medium

  * Add slurm_version.h to libslurm-dev (Closes: #1004409)
  * Add retry-getaddrinfo patch (Closes: #984928)
  * Update service files

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Fri, 28 Jan 2022 23:36:39 +0100

slurm-wlm (21.08.5-1) unstable; urgency=medium

  * New upstream major release
  * Refresh patches and drop changes included upstream
  * Bump libslurm to soname 37
  * Update d/copyright
  * Remove man3 section dropped upstream
  * Remove pmix support
  * Remove defaults and old parameters in tests configuration files
  * Explicitly use the 1.8 HDF5 API
  * Update configurators
  * Update simple and cgroup example
  * Add slurm.conf with cgroup example
  * Change AccountingStoreJobComment into AccountingStoreFlags in
    slurm-wlm-basic-plugins postinst
  * Add example files to slurmctld, slurmd, slurm-client and slurmdbd
  * Add bash completion
  * Bump standard version to 4.6.0 (no changes)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Thu, 13 Jan 2022 16:30:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: slurm-wlm
 Section: admin
 Priority: optional
-Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSCB-Original-Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
 Uploaders: Rémi Palancher <remi@rezib.org>,
            Mehdi Dogguy <mehdi@debian.org>,
            Gennaro Oliva <oliva.g@na.icar.cnr.it>,
@@ -27,13 +28,13 @@
  libhdf5-dev,
  man2html,
  libcurl4-openssl-dev,
- libpmix-dev,
  libhttp-parser-dev,
  libyaml-dev,
  libjson-c-dev,
  libjwt-dev,
- liblz4-dev
-Standards-Version: 4.5.1
+ liblz4-dev,
+ bash-completion
+Standards-Version: 4.6.0
 Homepage: http://slurm.schedmd.com
 Vcs-Browser: https://salsa.debian.org/hpc-team/slurm-wlm
 Vcs-Git: https://salsa.debian.org/hpc-team/slurm-wlm.git
@@ -114,7 +115,7 @@
  interconnect agnostic.
  This package contains the central management daemon slurmctld.
 
-Package: libslurm36
+Package: libslurm37
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -150,7 +151,7 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- libslurm36 (= ${binary:Version})
+ libslurm37 (= ${binary:Version})
 Conflicts: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev
 Breaks: libslurmdb-dev
 Replaces: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev, libslurmdb-dev
@@ -166,7 +167,7 @@
  ${shlibs:Depends},
  ${misc:Depends},
  libpmi0 (= ${binary:Version}),
- libslurm36 (= ${binary:Version})
+ libslurm37 (= ${binary:Version})
 Description: SLURM PMI library implementation development files
  SLURM, the Simple Linux Utility for Resource Management,
  is an open-source cluster resource management and job scheduling.
@@ -180,7 +181,7 @@
  ${shlibs:Depends},
  ${misc:Depends},
  libpmi2-0 (= ${binary:Version}),
- libslurm36 (= ${binary:Version})
+ libslurm37 (= ${binary:Version})
 Description: SLURM PMI2 library implementation development files
  SLURM, the Simple Linux Utility for Resource Management,
  is an open-source cluster resource management and job scheduling.

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 endif
 
 %:
-	dh $@ --builddirectory
+	dh $@ --builddirectory --with bash-completion
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -26,8 +26,8 @@
 # hardening-no-fortify-functions
 # Notice that -g in CFLAGS is still provided by dpkg-buildflags
 override_dh_auto_configure:
-	dh_auto_configure -- --sysconfdir=/etc/slurm --with-munge --enable-pam --without-rpath --disable-debug --enable-multiple-slurmd --with-pmix=/usr/lib/$(DEB_HOST_MULTIARCH)/pmix2 $(ENABLEDEPRECATED) SUCMD=/bin/su SLEEP_CMD=/bin/sleep
-	dh_auto_configure --builddirectory build-emulator -- -sysconfdir=/etc/slurm --with-munge --enable-pam --without-rpath --disable-debug --enable-front-end --enable-multiple-slurmd --with-pmix=/usr/lib/$(DEB_HOST_MULTIARCH)/pmix2 $(ENABLEDEPRECATED) SUCMD=/bin/su SLEEP_CMD=/bin/sleep
+	dh_auto_configure -- --sysconfdir=/etc/slurm --with-munge --enable-pam --without-rpath --disable-debug --enable-multiple-slurmd $(ENABLEDEPRECATED) SUCMD=/bin/su SLEEP_CMD=/bin/sleep
+	dh_auto_configure --builddirectory build-emulator -- -sysconfdir=/etc/slurm --with-munge --enable-pam --without-rpath --disable-debug --enable-front-end --enable-multiple-slurmd $(ENABLEDEPRECATED) SUCMD=/bin/su SLEEP_CMD=/bin/sleep
 override_dh_auto_build:
 	dh_auto_build
 	dh_auto_build --builddirectory build-emulator
@@ -110,7 +110,7 @@
 	mv -v debian/tmp-emulator/usr/bin/sstat	debian/tmp-emulator/usr/bin/sstat-emulator
 
 override_dh_strip:
-	dh_strip -plibslurm36
+	dh_strip -plibslurm37
 	dh_strip -plibpmi0 --dbgsym-migration='libpmi0-dbg (<< 17.02.6~)'
 	dh_strip -plibpmi2-0 --dbgsym-migration='libpmi2-0-dbg (<< 17.02.6~)'
 	dh_strip -pslurm-wlm-basic-plugins --dbgsym-migration='slurm-wlm-basic-plugins-dbg (<< 17.02.6~)'

=== debian/tests/control ===
Tests: srun
Features: no-build-needed,isolation-container
Restrictions: needs-root
Depends: slurmctld, slurmd, slurm-client

Tests: sbatch
Features: no-build-needed,isolation-container
Restrictions: needs-root
Depends: slurmctld, slurmd, slurm-client

Tests: sacct
Features: no-build-needed,isolation-container
Restrictions: needs-root, allow-stderr
Depends: slurmctld, slurmd, slurm-client, slurmdbd, mariadb-client, mariadb-server

## slurm-wlm 21.08.8.2

=== debian/changelog ===
slurm-wlm (21.08.8.2-1) UNRELEASED; urgency=medium

  * update

 -- Debian HPC Team <debian-hpc@lists.debian.org>  Tue, 05 Jul 2022 12:43:25 +0800

slurm-wlm (21.08.8.2-1) unstable; urgency=medium

  * New upstream release fixes CVE-2022-29500,
    CVE-2022-29501 and CVE-2022-29502
    (Closes: #1010632, #1010633, #1010634)
  * Update libslurm symbols file

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Fri, 06 May 2022 21:14:09 +0200

slurm-wlm (21.08.7-1) unstable; urgency=medium

  * New upstream release

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Thu, 21 Apr 2022 21:51:00 +0200

slurm-wlm (21.08.6-1) unstable; urgency=medium

  * New upstream release
  * Remove fix-typos patch included upstream

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Tue, 22 Mar 2022 21:59:40 +0100
